{
    "path": "$OET_PATH/testcases/function_test/pkg_test/greatsql/greatsql-test",
    "machine num": 1,
    "cases": [
        {
            "name": "test_greatsql-test_mysql_client_test_b",
            "desc": "测试基于目录参数"
        },
        {
            "name": "test_greatsql-test_mysql_client_test_t",
            "desc": "测试执行次数参数"
        },
        {
            "name": "test_greatsql-test_mysql_client_test_upper_d",
            "desc": "测试数据库参数"
        },
        {
            "name": "test_greatsql-test_mysql_client_test_d",
            "desc": "测试不删除数据库参数"
        },
        {
            "name": "test_greatsql-test_mysql_client_test_h",
            "desc": "测试主机连接参数"
        },
        {
            "name": "test_greatsql-test_mysql_client_test_p",
            "desc": "测试密码参数"
        },
        {
            "name": "test_greatsql-test_mysql_client_test_upper_p",
            "desc": "测试端口号参数"
        },
        {
            "name": "test_greatsql-test_mysql_client_test_upper_t",
            "desc": "测试显示所有测试名称参数"
        },
        {
            "name": "test_greatsql-test_mysql_client_test_s",
            "desc": "测试静默模式参数"
        },
        {
            "name": "test_greatsql-test_mysql_client_test_upper_s",
            "desc": "测试套接字文件参数"
        },
        {
            "name": "test_greatsql-test_mysql_client_test_c",
            "desc": "测试禁用部分代码参数"
        },
        {
            "name": "test_greatsql-test_mysql_client_test_u",
            "desc": "测试用户登录参数"
        },
        {
            "name": "test_greatsql-test_mysql_client_test_v",
            "desc": "测试数据目录参数"
        },
        {
            "name": "test_greatsql-test_mysql_client_test_g_num_0",
            "desc": "测试 getopt 库 bug 参数"
        },
        {
            "name": "test_greatsql-test_mysqltest__upper_v",
            "desc": "测试 mysqltest 命令的版本信息输出功能"
        },
        {
            "name": "test_greatsql-test_mysqltest__v",
            "desc": "测试 mysqltest 命令的详细输出模式"
        },
        {
            "name": "test_greatsql-test_mysqltest__h",
            "desc": "测试 mysqltest 命令连接到指定主机的功能"
        },
        {
            "name": "test_greatsql-test_mysqltest__upper_p",
            "desc": "测试 mysqltest 命令使用指定端口连接的功能"
        },
        {
            "name": "test_greatsql-test_mysqltest__u",
            "desc": "测试 mysqltest 命令使用指定用户登录的功能"
        },
        {
            "name": "test_greatsql-test_mysqltest__p",
            "desc": "测试 mysqltest 命令使用密码登录的功能"
        },
        {
            "name": "test_greatsql-test_mysqltest__upper_d",
            "desc": "测试 mysqltest 命令指定数据库的功能"
        },
        {
            "name": "test_greatsql-test_mysqltest_safe_process_upper_v",
            "desc": "测试 mysqltest_safe_process 命令的 -V 参数"
        },
        {
            "name": "test_greatsql-test_mysqlxtest_f",
            "desc": "测试使用文件作为输入的用例"
        },
        {
            "name": "test_greatsql-test_mysqlxtest_upper_i",
            "desc": "测试从目录导入宏文件的用例"
        },
        {
            "name": "test_greatsql-test_mysqlxtest_sql",
            "desc": "测试直接执行SQL语句的用例"
        },
        {
            "name": "test_greatsql-test_mysqlxtest_e",
            "desc": "测试直接执行SQL语句的用例（别名）"
        },
        {
            "name": "test_greatsql-test_mysqlxtest_n",
            "desc": "测试跳过认证的用例"
        },
        {
            "name": "test_greatsql-test_mysqlxtest_no_connect_attrs",
            "desc": "测试跳过发送会话连接属性的用例"
        },
        {
            "name": "test_greatsql-test_mysqlxtest_plain_auth",
            "desc": "测试使用明文认证机制的用例"
        },
        {
            "name": "test_greatsql-test_mysqlxtest_cached_auth",
            "desc": "测试使用SHA256_MEMORY认证机制的用例"
        },
        {
            "name": "test_greatsql-test_mysqlxtest_mysql41_auth",
            "desc": "测试使用MYSQL41认证机制的用例"
        },
        {
            "name": "test_greatsql-test_mysqlxtest_using_cap_auth",
            "desc": "测试获取支持认证机制的能力的用例"
        },
        {
            "name": "test_greatsql-test_function_conn",
            "desc": "测试连接功能"
        },
        {
            "name": "test_greatsql-test_function_auth",
            "desc": "测试认证功能"
        },
        {
            "name": "test_greatsql-test_function_query",
            "desc": "测试查询功能"
        },
        {
            "name": "test_greatsql-test_function_trans",
            "desc": "测试事务功能"
        },
        {
            "name": "test_greatsql-test_function_perf",
            "desc": "测试性能功能"
        }
    ]
}